<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::IMutableEnumValuesRegistry Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1IMutableEnumValuesRegistry.html">IMutableEnumValuesRegistry</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="structCatch_1_1IMutableEnumValuesRegistry-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::IMutableEnumValuesRegistry Struct Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aebd423693128987c89ac732478d74673"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableEnumValuesRegistry.html#aebd423693128987c89ac732478d74673">~IMutableEnumValuesRegistry</a> ()</td></tr>
<tr class="separator:aebd423693128987c89ac732478d74673"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a948e66e85f5b66ab68256d50bfe548f4"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1Detail_1_1EnumInfo.html">Detail::EnumInfo</a> const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableEnumValuesRegistry.html#a948e66e85f5b66ab68256d50bfe548f4">registerEnum</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> enumName, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> allEnums, std::vector&lt; int &gt; const &amp;values)=0</td></tr>
<tr class="separator:a948e66e85f5b66ab68256d50bfe548f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60e4546c6fd45f9be68e43410403b562"><td class="memTemplParams" colspan="2">template&lt;typename E &gt; </td></tr>
<tr class="memitem:a60e4546c6fd45f9be68e43410403b562"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Detail_1_1EnumInfo.html">Detail::EnumInfo</a> const  &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableEnumValuesRegistry.html#a60e4546c6fd45f9be68e43410403b562">registerEnum</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> enumName, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> allEnums, std::initializer_list&lt; E &gt; values)</td></tr>
<tr class="separator:a60e4546c6fd45f9be68e43410403b562"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebd423693128987c89ac732478d74673"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableEnumValuesRegistry.html#aebd423693128987c89ac732478d74673">~IMutableEnumValuesRegistry</a> ()</td></tr>
<tr class="separator:aebd423693128987c89ac732478d74673"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a948e66e85f5b66ab68256d50bfe548f4"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1Detail_1_1EnumInfo.html">Detail::EnumInfo</a> const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableEnumValuesRegistry.html#a948e66e85f5b66ab68256d50bfe548f4">registerEnum</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> enumName, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> allEnums, std::vector&lt; int &gt; const &amp;values)=0</td></tr>
<tr class="separator:a948e66e85f5b66ab68256d50bfe548f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60e4546c6fd45f9be68e43410403b562"><td class="memTemplParams" colspan="2">template&lt;typename E &gt; </td></tr>
<tr class="memitem:a60e4546c6fd45f9be68e43410403b562"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Detail_1_1EnumInfo.html">Detail::EnumInfo</a> const  &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableEnumValuesRegistry.html#a60e4546c6fd45f9be68e43410403b562">registerEnum</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> enumName, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> allEnums, std::initializer_list&lt; E &gt; values)</td></tr>
<tr class="separator:a60e4546c6fd45f9be68e43410403b562"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aebd423693128987c89ac732478d74673"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebd423693128987c89ac732478d74673">&#9670;&nbsp;</a></span>~IMutableEnumValuesRegistry() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::IMutableEnumValuesRegistry::~IMutableEnumValuesRegistry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aebd423693128987c89ac732478d74673"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebd423693128987c89ac732478d74673">&#9670;&nbsp;</a></span>~IMutableEnumValuesRegistry() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::IMutableEnumValuesRegistry::~IMutableEnumValuesRegistry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a60e4546c6fd45f9be68e43410403b562"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60e4546c6fd45f9be68e43410403b562">&#9670;&nbsp;</a></span>registerEnum() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename E &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Detail_1_1EnumInfo.html">Detail::EnumInfo</a> const&amp; Catch::IMutableEnumValuesRegistry::registerEnum </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>enumName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>allEnums</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::initializer_list&lt; E &gt;&#160;</td>
          <td class="paramname"><em>values</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a60e4546c6fd45f9be68e43410403b562"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60e4546c6fd45f9be68e43410403b562">&#9670;&nbsp;</a></span>registerEnum() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename E &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Detail_1_1EnumInfo.html">Detail::EnumInfo</a> const&amp; Catch::IMutableEnumValuesRegistry::registerEnum </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>enumName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>allEnums</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::initializer_list&lt; E &gt;&#160;</td>
          <td class="paramname"><em>values</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a948e66e85f5b66ab68256d50bfe548f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a948e66e85f5b66ab68256d50bfe548f4">&#9670;&nbsp;</a></span>registerEnum() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1Detail_1_1EnumInfo.html">Detail::EnumInfo</a> const&amp; Catch::IMutableEnumValuesRegistry::registerEnum </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>enumName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>allEnums</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; int &gt; const &amp;&#160;</td>
          <td class="paramname"><em>values</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a948e66e85f5b66ab68256d50bfe548f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a948e66e85f5b66ab68256d50bfe548f4">&#9670;&nbsp;</a></span>registerEnum() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1Detail_1_1EnumInfo.html">Detail::EnumInfo</a> const&amp; Catch::IMutableEnumValuesRegistry::registerEnum </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>enumName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>allEnums</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; int &gt; const &amp;&#160;</td>
          <td class="paramname"><em>values</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
